Skip to main content

Get Token

Service Address​

http://api-az-cn.danghongyun.com/rest

Request Method​

GET

Request Parameters​

ParameterDescriptionTypeRequired
accessKeyThe user access keyStringRequired
actionAPI name, this api is "getToken"StringRequired
versionAPI version, currently must be 2.0StringRequired
timestampInvoke time in milliseconds since january 1 1970, eg: 1466488681033StringRequired
signatureSignature generated by signature rule.StringRequired

Response Example​

{
"code":0,
"message":"success",
"result":
{
"accessToken":"6ee00e4f662b2e157b105ce3db8f4a22",
"accessTokenTime":1461914407759,
"expiresIn":2592000,
"refreshToken":"64af3ba262261770f99ba951ab6aea38",
"userId":185
},
"success":true
}

Response Fields​

FieldDescription
accessTokenAccess token
accessTokenTimeThe time when the access token was generated
expiresInExpiration time in seconds
refreshTokenThe update token is used to obtain the next access token
userIdUser id

Error Codes​

CodeMessage
0success
10000Exception
10001get_access_token_failed
10201api_not_exists